Bug 59233 - Default Max. Message Queues Too Small
Summary: Default Max. Message Queues Too Small
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.2
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-02-03 06:05 UTC by Ivan Wong
Modified: 2007-04-18 16:39 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-08 01:04:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ivan Wong 2002-02-03 06:05:30 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Windows 98; DigExt)

Description of problem:
Default max. message queues in RedHat 6.2 is 128 but in RedHat 7.2 is
only 16.  All other ipc limits are increased except for this one for
no good reason.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. ipcs -l and you can see it
2.
3.
	

Additional info:

This can be easily get around by changing the configuration.  I think
it's a mistake to be so small by default.  A value of 128 or 256 is
probably more appropriate.

Comment 1 Alan Cox 2003-06-08 01:04:06 UTC
This is configurable at runtime via /proc/sys/kernel/msgmni



Note You need to log in before you can comment on or make changes to this bug.